## magnum 16.0.3

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

PyYAML>=3.13 # MIT
SQLAlchemy>=1.2.0 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.8.1 # MIT
alembic>=0.9.6 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=4.3.0 # Apache-2.0
eventlet>=0.28.0 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.14.0 # Apache-2.0
keystonemiddleware>=9.0.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=4.1.0 # Apache-2.0
oslo.config>=8.1.0 # Apache-2.0
oslo.context>=3.1.0 # Apache-2.0
oslo.db>=8.2.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.0 # Apache-2.0
oslo.messaging>=12.2.0 # Apache-2.0
oslo.middleware>=4.1.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.reports>=2.1.0 # Apache-2.0
oslo.serialization>=3.2.0 # Apache-2.0
oslo.service>=2.2.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0
oslo.versionedobjects>=2.1.0 # Apache-2.0
pbr>=5.5.0 # Apache-2.0
pecan>=1.3.3 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=5.0.0 # Apache-2.0
python-cinderclient>=7.1.0 # Apache-2.0
python-glanceclient>=3.2.0 # Apache-2.0
python-heatclient>=2.2.0 # Apache-2.0
python-neutronclient>=7.2.0 # Apache-2.0
python-novaclient>=17.2.0 # Apache-2.0
python-keystoneclient>=3.20.0 # Apache-2.0
python-octaviaclient>=2.1.0 # Apache-2.0
requests>=2.20.1 # Apache-2.0
setuptools!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=30.0.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=3.3.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0
Werkzeug>=0.9 # BSD License

=== debian/changelog ===
magnum (16.0.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 09:58:24 +0000

magnum (16.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048053).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 16:06:37 +0200

magnum (16.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:11:01 +0200

magnum (16.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 16:54:09 +0200

magnum (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:42:36 +0100

magnum (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Removed python3-marathon from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Mar 2023 16:37:33 +0100

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-doc8,
 python3-docker,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pecan,
 python3-pep8,
 python3-pycadf,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-webob,
 python3-webtest,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 debconf,
 magnum-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 ucf,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ucf,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-decorator,
 python3-docker,
 python3-eventlet,
 python3-glanceclient,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pycadf,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info debian/*.templates debian/po
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://storyboard.openstack.org/#!/story/2003565
	# to follow-up on failed tests in Sid (works in Stretch)
	pkgos-dh_auto_test --no-py2 --concurrency 2 'magnum\.tests\.unit\.(?!(drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done|drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy|api\.controllers\.v1\.test_baymodel\.TestPatch|api\.controllers\.v1\.test_baymodel\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestPost|api\.controllers\.v1\.test_cluster_template\.TestListClusterTemplate|api\.controllers\.v1\.test_cluster_template\.TestPatch\.test_update_cluster_template_with_cluster_not_allow_update|api\.controllers\.v1\.test_federation\.TestListFederation\.test_collection_links|api\.controllers\.v1\.test_federation\.TestPost\.test_create_federation_with_valid_name))'
endif

#	mkdir -p $(CURDIR)/debian/python3-magnum/usr/bin
#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum/api/app.wsgi $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi
#	chmod +x $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lock/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf certificates cert_manager_type barbican
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_messaging_notifications driver messaging
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf trust cluster_user_trust true

	# Magnum using also keystone_auth, set some defaults
	# which are configured by debconf later
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_url http://localhost:5000
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth www_authenticate_uri http://localhost:5000
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_name service
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth username magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth user_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth region_name regionOne
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_type password

	mkdir -p $(CURDIR)/debian/magnum-common/etc/magnum/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/etc/magnum/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace magnum

	# Comment out deprecated policies, otherwise, Nova doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/magnum-common/etc/magnum/policy.d/00_default_policy.yaml

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	cp etc/magnum/keystone_auth_default_policy.sample $(CURDIR)/debian/magnum-common/usr/share/magnum-common/keystone_auth_default_policy.json

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## magnum 17.0.0

=== debian/changelog ===
magnum (17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/import-string-from-sqlalchemy-directly.patch: Cherry-picked from
    upstream to fix db migration error.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:00:45 -0400

## magnum 17.0.1

=== debian/changelog ===
magnum (17.0.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 08 Jan 2024 14:30:37 +0000

magnum (17.0.1-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf: Create stable/2023.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New stable point release for OpenStack Bobcat (LP: #2046359).
  * d/p/import-string-from-sqlalchemy-directly.patch: Dropped. Included
    in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2023 11:04:54 -0500

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-bashate,
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-hacking,
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.8.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-pecan (>= 1.3.3),
 python3-pep8,
 python3-pkg-resources (>= 30.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pygments (>= 2.7.2),
 python3-requests (>= 2.20.1),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 3.1.0),
 python3-stevedore (>= 1:3.3.0),
 python3-subunit (>= 1.4.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tz (>= 2020.4),
 python3-webob (>= 1:1.8.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 subunit,
 testrepository,
 vim,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Homepage: https://opendev.org/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.8.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-pecan (>= 1.3.3),
 python3-pkg-resources (>= 30.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.20.1),
 python3-setuptools (>= 24.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:3.3.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.8.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

## magnum 17.0.2

=== requirements.txt ===
--- 
+++ 
@@ -28,10 +28,10 @@
 oslo.context>=3.1.0 # Apache-2.0
 oslo.db>=8.2.0 # Apache-2.0
 oslo.i18n>=5.0.0 # Apache-2.0
-oslo.log>=4.2.0 # Apache-2.0
-oslo.messaging>=12.2.0 # Apache-2.0
+oslo.log>=4.8.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=4.1.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.policy>=3.11.0 # Apache-2.0
 oslo.reports>=2.1.0 # Apache-2.0
 oslo.serialization>=3.2.0 # Apache-2.0
 oslo.service>=2.2.0 # Apache-2.0

=== debian/changelog ===
magnum (17.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:25:58 +0000

magnum (17.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed sqlalchemy_Import_String_from_sqlalchemy_directly.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Oct 2023 17:31:29 +0200

magnum (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add sqlalchemy_Import_String_from_sqlalchemy_directly.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:33:29 +0200

magnum (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 16:59:22 +0200

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-doc8,
 python3-docker,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pecan,
 python3-pep8,
 python3-pycadf,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-webob,
 python3-webtest,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 debconf,
 magnum-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 ucf,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ucf,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-decorator,
 python3-docker,
 python3-eventlet,
 python3-glanceclient,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pycadf,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

## magnum 18.0.0

=== debian/changelog ===
magnum (18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:22:28 +0100

magnum (18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/control: Align (Build)-Depends with release.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 16:05:37 +0000

magnum (17.0.1+git2024011916.f6baa6d1-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 16:29:39 +0000

magnum (17.0.1+git2023121308.537e69ae-0ubuntu1) noble; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Set taskflow min version to version that supports Python 3.12.
  * d/p/import-string-from-sqlalchemy-directly.patch: Dropped. Fixed in
    snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2023 08:33:49 -0500

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-bashate,
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-hacking,
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.8.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-pecan (>= 1.3.3),
 python3-pep8,
 python3-pkg-resources (>= 30.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pygments (>= 2.7.2),
 python3-requests (>= 2.20.1),
 python3-requests-mock (>= 1.2.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 3.1.0),
 python3-stevedore (>= 1:3.3.0),
 python3-subunit (>= 1.4.0),
 python3-taskflow (>= 5.4.0-0ubuntu2~),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-webob (>= 1:1.8.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 subunit,
 testrepository,
 vim,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Homepage: https://opendev.org/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 5.0.0),
 python3-cinderclient (>= 1:7.1.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1.4),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-glanceclient (>= 1:3.2.0),
 python3-heatclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-keystonemiddleware (>= 9.0.0),
 python3-kubernetes (>= 12.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:7.2.0),
 python3-novaclient (>= 2:17.2.0),
 python3-octaviaclient (>= 2.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.1.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:3.1.0),
 python3-oslo.db (>= 8.2.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.8.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.reports (>= 2.1.0),
 python3-oslo.serialization (>= 3.2.0),
 python3-oslo.service (>= 2.2.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslo.versionedobjects (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-pecan (>= 1.3.3),
 python3-pkg-resources (>= 30.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.20.1),
 python3-setuptools (>= 24.0.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:3.3.0),
 python3-taskflow (>= 5.4.0-0ubuntu2~),
 python3-webob (>= 1:1.8.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum/ magnum-(\d.*)\.tar\.gz

## magnum 18.0.0+git2024080716.8d09169a

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 alembic>=0.9.6 # MIT
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 decorator>=3.4.0 # BSD
-docker>=4.3.0 # Apache-2.0
 eventlet>=0.28.0 # MIT
 iso8601>=0.1.11 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
@@ -51,7 +50,6 @@
 python-octaviaclient>=2.1.0 # Apache-2.0
 requests>=2.20.1 # Apache-2.0
 setuptools!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=30.0.0 # PSF/ZPL
-six>=1.10.0 # MIT
 stevedore>=3.3.0 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0
 cryptography>=2.1.4 # BSD/Apache-2.0

=== debian/changelog ===
magnum (18.0.0+git2024080716.8d09169a-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 13 Aug 2024 07:20:27 +0100
